package demojsoncrud.services;

import demojsoncrud.dao.DAOFactory;
import demojsoncrud.dao.PersonaDAO;
import org.json.JSONObject;

public class PersonaService {

  DAOFactory daoFactory = DAOFactory.getDAOFactory(DAOFactory.SQL_SERVER);
  PersonaDAO dao = daoFactory.getPersonaDAO();

  public JSONObject listarPersona(JSONObject datos) {
    JSONObject jsonReturn = null;
    try {
      jsonReturn = dao.listarPersona(datos);
    } catch (Exception e) {
      System.out.println("Error PersonaService >> listarPersona >> " + e.getMessage());
    }
    return jsonReturn;
  }

  public JSONObject registrarPersona(JSONObject datos) {
    JSONObject jsonReturn = null;
    try {
      jsonReturn = dao.registrarPersona(datos);
    } catch (Exception e) {
      System.out.println("Error PersonaService >> registrarPersona >> " + e.getMessage());
    }
    return jsonReturn;
  }

  public JSONObject editarPersona(JSONObject datos) {
    JSONObject jsonReturn = null;
    try {
      jsonReturn = dao.editarPersona(datos);
    } catch (Exception e) {
      System.out.println("Error PersonaService >> editarPersona >> " + e.getMessage());
    }
    return jsonReturn;
  }

  public JSONObject cambiarEstado(JSONObject datos) {
    JSONObject respuesta = null;
    try {
      respuesta = dao.cambiarEstado(datos);
    } catch (Exception e) {
      System.out.println("Error PersonaService >> cambiarEstado >> " + e.getMessage());
    }
    return respuesta;
  }

  public JSONObject reportePersona(JSONObject datos) {
    JSONObject respuesta = null;
    try {
      respuesta = dao.reportePersona(datos);
    } catch (Exception e) {
      System.out.println("Error PersonaService >> reportePersona >> " + e.getMessage());
    }
    return respuesta;
  }

}
